aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xautotest.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/autotest.sh b/autotest.sh
index 8edb5f3915a..83a20699d01 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -40,7 +40,7 @@ if ! [ $PHPUNIT_MAJOR_VERSION -gt 3 -o \( $PHPUNIT_MAJOR_VERSION -eq 3 -a $PHPUN
exit 4
fi
-if ! [ -w config -a -w config/config.php ]; then
+if ! [ \( -w config -a ! -f config/config.php \) -o \( -f config/config.php -a -w config/config.php \) ]; then
echo "Please enable write permissions on config and config/config.php" >&2
exit 1
fi